> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.scholarlysoftware.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a leave

> Returns a specific leave by UUID



## OpenAPI

````yaml /openapi.json get /api/v1/leaves/{id}
openapi: 3.1.0
info:
  title: Scholarly API V1
  version: v1
  description: API for accessing Scholarly data
  license:
    name: Proprietary
    identifier: Proprietary
servers:
  - url: https://api.scholarlysoftware.com
    description: Production server
security: []
paths:
  /api/v1/leaves/{id}:
    parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
    get:
      tags:
        - Leaves
      summary: Get a leave
      description: Returns a specific leave by UUID
      operationId: getLeave
      parameters:
        - name: Authorization
          in: header
          required: true
          description: Bearer token
          schema:
            type: string
        - name: include
          in: query
          required: false
          description: 'Comma-separated list of relationships to include. Allowed: `profile`'
          schema:
            type: string
      responses:
        '200':
          description: leave found
          content:
            application/vnd.api+json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/Leave'
                required:
                  - data
        '401':
          description: unauthorized
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: not found
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - bearer_auth: []
components:
  schemas:
    Leave:
      type: object
      properties:
        id:
          type: string
          format: uuid
        type:
          type: string
          const: leave
          example: leave
        attributes:
          type: object
          properties:
            created_at:
              type: string
              format: datetime
            updated_at:
              type: string
              format: datetime
            custom_fields:
              type:
                - object
                - 'null'
            is_current:
              type: boolean
              description: True when the record is currently effective as of today.
            name:
              type:
                - string
                - 'null'
            external_id:
              type:
                - string
                - 'null'
            leave_type:
              type: string
            effective_from:
              type: string
              format: date
            effective_to:
              type: string
              format: date
            fte_percentage:
              type: number
            show_on_dashboard:
              type: boolean
            note:
              type:
                - string
                - 'null'
        relationships:
          type: object
          properties:
            profile:
              type: object
              properties:
                links:
                  type: object
                  properties:
                    related:
                      type: string
                      format: uri
                  required:
                    - related
                meta:
                  type: object
                data:
                  type: object
                  required:
                    - type
                    - id
                  properties:
                    type:
                      type: string
                      const: profile
                      example: profile
                    id:
                      type: string
                      format: uuid
              anyOf:
                - required:
                    - links
                - required:
                    - meta
                - required:
                    - data
      required:
        - id
        - type
        - attributes
    Error:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              status:
                type: string
              title:
                type: string
              detail:
                type: string
            required:
              - status
              - title
      required:
        - errors
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````